hpp-constraints: hpp::constraints::Sum< LhsValue, RhsValue > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
hpp::constraints::Sum< LhsValue, RhsValue > Class Template Reference
Symbolic calculus

Sum of two expressions. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::Sum< LhsValue, RhsValue >:
[legend]
Collaboration diagram for hpp::constraints::Sum< LhsValue, RhsValue >:
[legend]

## Public Types
typedef CalculusBase< Sum< LhsValue, RhsValue > > | Parent_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| HPP_CONSTRAINTS_CB_CREATE2 (Sum, const typename Traits< LhsValue >::Ptr_t &, const typename Traits< RhsValue >::Ptr_t &) Sum()
| Sum (const CalculusBase< Sum > &other)
| Sum (const typename Traits< RhsValue >::Ptr_t &rhs, const typename Traits< LhsValue >::Ptr_t &lhs)
void | impl_value (const ConfigurationIn_t arg)
void | impl_jacobian (const ConfigurationIn_t arg)
void | invalidate ()
Public Member Functions inherited from hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const JacobianMatrix &jacobian)
| CalculusBase (const CalculusBase &o)
const vector3_t & | value () const
const JacobianMatrix & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
Expression< LhsValue, RhsValue >::Ptr_t | e_
Protected Attributes inherited from hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >
vector3_t | value_
JacobianMatrix | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Friends
class | Expression< LhsValue, RhsValue >

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >
void | init (const typename Traits< Sum< LhsValue, RhsValue > >::Ptr_t &ptr)

## Detailed Description

template<typename LhsValue, typename RhsValue>
class hpp::constraints::Sum< LhsValue, RhsValue >

Sum of two expressions.

## Member Typedef Documentation

## ◆ Parent_t

template<typename LhsValue , typename RhsValue >

typedef CalculusBase<Sum<LhsValue, RhsValue> > hpp::constraints::Sum< LhsValue, RhsValue >::Parent_t

## Constructor & Destructor Documentation

## ◆ Sum() [1/2]

template<typename LhsValue , typename RhsValue >

hpp::constraints::Sum< LhsValue, RhsValue >::Sum | ( | const CalculusBase< Sum< LhsValue, RhsValue > > & | other | ) |
| inline

## ◆ Sum() [2/2]

template<typename LhsValue , typename RhsValue >

hpp::constraints::Sum< LhsValue, RhsValue >::Sum | ( | const typename Traits< RhsValue >::Ptr_t & | rhs,
|  | const typename Traits< LhsValue >::Ptr_t & | lhs )
| inline

## Member Function Documentation

## ◆ HPP_CONSTRAINTS_CB_CREATE2()

template<typename LhsValue , typename RhsValue >

hpp::constraints::Sum< LhsValue, RhsValue >::HPP_CONSTRAINTS_CB_CREATE2 | ( | Sum< LhsValue, RhsValue > | ,
|  | const typename Traits< LhsValue >::Ptr_t & | ,
|  | const typename Traits< RhsValue >::Ptr_t & | )
| inline

## ◆ impl_jacobian()

template<typename LhsValue , typename RhsValue >

void hpp::constraints::Sum< LhsValue, RhsValue >::impl_jacobian | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ impl_value()

template<typename LhsValue , typename RhsValue >

void hpp::constraints::Sum< LhsValue, RhsValue >::impl_value | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ invalidate()

template<typename LhsValue , typename RhsValue >

void hpp::constraints::Sum< LhsValue, RhsValue >::invalidate | ( |  | ) |
| inline virtual

Reimplemented from hpp::constraints::CalculusBase< Sum< LhsValue, RhsValue > >.

## Friends And Related Symbol Documentation

## ◆ Expression< LhsValue, RhsValue >

template<typename LhsValue , typename RhsValue >

friend class Expression< LhsValue, RhsValue >
| friend

## Member Data Documentation

## ◆ e_

template<typename LhsValue , typename RhsValue >

Expression<LhsValue,RhsValue>::Ptr_t hpp::constraints::Sum< LhsValue, RhsValue >::e_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh